# Gilardi, Fabrizio, "The Temporary Importance of Role Models for Women's Political Representation", American Journal of Political Science
# Code to replicate Tables SI18 (Replication of Table 1: Poisson models with robust standard errors), SI19 (Replication of Table 1: Negative binomial models, and SI20 (Replication of Table 1: Negative binomial with robust standard errors)
# gilardi@ipz.uzh.ch, 2014-06-24

set more off
clear
insheet using "dataset-full.csv", c

g slbX78 = slautobnwomenelected*y1978
g slbX82 = slautobnwomenelected*y1982
g slbX86 = slautobnwomenelected*y1986
g slbX90 = slautobnwomenelected*y1990
g slbX94 = slautobnwomenelected*y1994
g slbX98 = slautobnwomenelected*y1998
g slbX02 = slautobnwomenelected*y2002
g slbX06 = slautobnwomenelected*y2006
g slbX10 = slautobnwomenelected*y2010

g slbmX78 = slautobnmenelected*y1978
g slbmX82 = slautobnmenelected*y1982
g slbmX86 = slautobnmenelected*y1986
g slbmX90 = slautobnmenelected*y1990
g slbmX94 = slautobnmenelected*y1994
g slbmX98 = slautobnmenelected*y1998
g slbmX02 = slautobnmenelected*y2002
g slbmX06 = slautobnmenelected*y2006
g slbmX10 = slautobnmenelected*y2010

g slpcbX78 = slautobpcentwomenelected*y1978
g slpcbX82 = slautobpcentwomenelected*y1982
g slpcbX86 = slautobpcentwomenelected*y1986
g slpcbX90 = slautobpcentwomenelected*y1990
g slpcbX94 = slautobpcentwomenelected*y1994
g slpcbX98 = slautobpcentwomenelected*y1998
g slpcbX02 = slautobpcentwomenelected*y2002
g slpcbX06 = slautobpcentwomenelected*y2006
g slpcbX10 = slautobpcentwomenelected*y2010

g slweX78 = nwomenelectedlagged*y1978
g slweX82 = nwomenelectedlagged*y1982
g slweX86 = nwomenelectedlagged*y1986
g slweX90 = nwomenelectedlagged*y1990
g slweX94 = nwomenelectedlagged*y1994
g slweX98 = nwomenelectedlagged*y1998
g slweX02 = nwomenelectedlagged*y2002
g slweX06 = nwomenelectedlagged*y2006
g slweX10 = nwomenelectedlagged*y2010


* Table SI18 - Poisson, cluster(bfsnr)

poisson nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010, cluster(bfsnr)

poisson nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slbX78 slbX82 slbX86 slbX90 slbX94 slbX98 slbX02 slbX06 slbX10, cluster(bfsnr)

poisson nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slweX78 slweX82 slweX86 slweX90 slweX94 slweX98 slweX02 slweX06 slweX10, cluster(bfsnr)

poisson nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slbX78 slbX82 slbX86 slbX90 slbX94 slbX98 slbX02 slbX06 slbX10 slweX78 slweX82 slweX86 slweX90 slweX94 slweX98 slweX02 slweX06 slweX10, cluster(bfsnr)


* Table SI19 - Negative binomial

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slbX78 slbX82 slbX86 slbX90 slbX94 slbX98 slbX02 slbX06 slbX10

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slweX78 slweX82 slweX86 slweX90 slweX94 slweX98 slweX02 slweX06 slweX10

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slbX78 slbX82 slbX86 slbX90 slbX94 slbX98 slbX02 slbX06 slbX10 slweX78 slweX82 slweX86 slweX90 slweX94 slweX98 slweX02 slweX06 slweX10



* Table SI20 - Negative binomial, cluster(bfsnr)

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010, cluster(bfsnr)

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slbX78 slbX82 slbX86 slbX90 slbX94 slbX98 slbX02 slbX06 slbX10, cluster(bfsnr)

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slweX78 slweX82 slweX86 slweX90 slweX94 slweX98 slweX02 slweX06 slweX10, cluster(bfsnr)

nbreg nwomencand slautobnwomenelected nwomenelectedlagged nwomencandpreviouslyelected nmencandpreviouslyelected nwomencandlagged npeopleelected ncand referenda womkr logdistzh logpop  krsvp steuerfuss agglo land y1978 y1982 y1986 y1990 y1994 y1998 y2002 y2006 y2010 slbX78 slbX82 slbX86 slbX90 slbX94 slbX98 slbX02 slbX06 slbX10 slweX78 slweX82 slweX86 slweX90 slweX94 slweX98 slweX02 slweX06 slweX10, cluster(bfsnr)

